Subject: bug#43760: closed (Re: bug#43760: cuirass: fail to install with simple configuration)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 02 Oct 2020 14:06:01 +0000

Your bug report

#43760: cuirass: fail to install with simple configuration

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
43760: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=43760
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#43760: cuirass: fail to install with simple configuration
From: Jonathan Brielmaier <[email-masked]>
To: Mathieu Othacehe <[email-masked]>
Cc: [email-masked]
Date: Fri, 2 Oct 2020 16:05:33 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On 02.10.20 15:02, Mathieu Othacehe wrote:
>
> Hello Jonathan,
>
>> ice-9/boot-9.scm:1669:16: In procedure raise-exception:
>> Wrong type (expecting string): #f
>
> Thanks for the bug report. This should be fixed with
> d6a8f0a9781a90c3037f25e51d7ff32e50f7a8c1.

Yes, fix confirmed.

> You will then probably hit this one:
>
> https://issues.guix.gnu.org/43757

I do :(

Subject: cuirass: fail to install with simple configuration
From: Jonathan Brielmaier <[email-masked]>
To: bug-guix <[email-masked]>
Date: Fri, 2 Oct 2020 13:11:49 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I'm trying to set up a simple cuirass server. But in the last month I
never got it working. This time I tried with help from Mathieu.

cuirass-spec:
```
(define %cuirass-specs
  '((#:name . "my-manifest")
    (#:load-path-inputs . ("guix"))
    (#:package-path-inputs . ())
    (#:proc-input . "guix")
    (#:proc-file . "build-aux/cuirass/gnu-system.scm")
    (#:proc . cuirass-jobs)
    (#:proc-args (subset . "all"))
    (#:inputs . (((#:name . "guix")
                  (#:url . "git://git.savannah.gnu.org/guix.git")
                  (#:load-path . ".")
                  (#:branch . "master")
                  (#:no-compile? . #t))
                 ((#:name . "jonsger-guix")
                  (#:url . "https://gitlab.com/jonsger/jonsger-guix.git")
                  (#:load-path . ".")
                  (#:branch . "master")
                  (#:no-compile? . #t))))
    (#:build-outputs . ())))
(list %cuirass-specs)
```

Used as:
```
(service cuirass-service-type
         (cuirass-configuration
           (specifications %cuirass-specs)
           (use-substitutes? #t)))
```

Gives following error when reconfiguring this system:
```
Backtrace:
In guix/status.scm:
    776:4 19 (call-with-status-report _ _)
In guix/scripts/system.scm:
   1170:4 18 (_)
In ice-9/boot-9.scm:
  1736:10 17 (with-exception-handler _ _ #:unwind? _ #:unwind-for-type _)
In guix/store.scm:
   631:37 16 (thunk)
   1300:8 15 (call-with-build-handler _ _)
   1300:8 14 (call-with-build-handler _ _)
   1300:8 13 (call-with-build-handler #<procedure 7fc206bd3450 at
guix/ui.scm:1166:2 (continue store things mode)> _)
  2042:24 12 (run-with-store #<store-connection 256.99 7fc202e2af50> _
#:guile-for-build _ #:system _ #:target _)
In guix/scripts/system.scm:
   840:13 11 (_ _)
   748:13 10 (_ _)
In ice-9/boot-9.scm:
    152:2  9 (with-fluid* _ _ _)
In unknown file:
           8 (primitive-load
"/gnu/store/ki892f95cw5i48r165k6di4n3wb2d2cc-switch-to-system.scm")
           7 (primitive-load
"/gnu/store/smpbrrw738f6ncpgrlw4h9qwbgr2vwaa-activate.scm")
In ice-9/boot-9.scm:
   260:13  6 (for-each #<procedure primitive-load (_)> _)
In unknown file:
           5 (primitive-load
"/gnu/store/z2yjxn8c7spiql4cdv6ydkvrqbdl85kd-activate-service.scm")
In ice-9/eval.scm:
    619:8  4 (_ #(#<directory (guile-user) 7fc2119e1f00> 980 982))
In ice-9/ports.scm:
   461:11  3 (call-with-output-file #f #<procedure 7fc202f17940 at
ice-9/boot-9.scm:803:2 _> #:binary _ #:encoding _)
In unknown file:
           2 (open-file #f "w" #:encoding #f)
In ice-9/boot-9.scm:
  1669:16  1 (raise-exception _ #:continuable? _)
  1669:16  0 (raise-exception _ #:continuable? _)

ice-9/boot-9.scm:1669:16: In procedure raise-exception:
Wrong type (expecting string): #f
```